# Class VertexDataReaderV1

##### Index

### Constructors

constructor

### Methods

deflateToRef

## Constructors

### constructor

- new VertexDataReaderV1(_encodedVertexData: ArrayBuffer): VertexDataReaderV1

  #### Parameters

  - _encodedVertexData: ArrayBuffer

  #### Returns VertexDataReaderV1

## Methods

### deflateToRef

- deflateToRef(
  descriptor: VertexDataReaderV1Descriptor,
  dst: BimVertexData,
  ): BimVertexData

  #### Parameters

  - descriptor: VertexDataReaderV1Descriptor
  - dst: BimVertexData

  #### Returns BimVertexData